Skip to main content
curl --request GET 'https://api.mayar.id/hl/v2/products/6f8c19ff-5b97-4792-aa89-d2a12797b356/transactions?limit=10' \
--header 'Authorization: Bearer Paste-Your-API-Key-Here'
{
    "statusCode": 200,
    "messages": "success",
    "data": [
        {
            "id": "b2c3d4e5-f6a7-8901-bcde-f23456789012",
            "createdAt": 1768375011056,
            "type": "CHILD",
            "amount": 150000,
            "status": "created",
            "urlParamTrackingData": null,
            "paymentLinkId": "6f8c19ff-5b97-4792-aa89-d2a12797b356",
            "customerId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
            "customeField": null,
            "customer": {
                "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
                "email": "budi.santoso@example.com",
                "name": "Budi Santoso",
                "mobile": "081234567890"
            },
            "paymentLink": {
                "id": "6f8c19ff-5b97-4792-aa89-d2a12797b356",
                "type": "generic_link",
                "category": null,
                "createdAt": 1768375011056,
                "description": "<p>Jasa pembuatan website company profile.</p>\n",
                "link": "jasa-pembuatan-website",
                "name": "Jasa Pembuatan Website",
                "redirectUrl": null,
                "userId": "348e083d-315a-4e5c-96b1-5a2a98c48413",
                "coverImageId": "2529541f-dc98-4ca0-93bb-3c1d35a8dd07",
                "multipleImageId": null,
                "coverImage": null,
                "multipleImage": null
            },
            "productName": "Jasa Pembuatan Website",
            "productType": "generic_link",
            "productLink": "jasa-pembuatan-website"
        }
    ],
    "hasMore": false,
    "nextStartingAfter": "1768375011056"
}
Endpoint:
https://api.mayar.id/hl/v2/products/{id}/transactions?limit=10

Authorization

Authorization
string
required
Example:Authorization | Bearer Paste-Your-API-Key-Here

Path Parameters

id
string <uuid>
required
Unique product ID whose transactions you want to list.

Query Parameters

status
string
Filter transactions by status.
customerId
string
Filter transactions belonging to a specific customer.
fields
string
Comma-separated list of fields to include in each transaction object. Use it to trim the payload to only the fields you need.
limit
integer
default:"10"
Number of items to return per page. Defaults to 10, with a maximum of 50.
startingAfter
string
Cursor for forward pagination. Pass the nextStartingAfter value from the previous response (a Unix timestamp in milliseconds, as a string) to fetch the next page.

Response

Successful Response

Main Structure (Root)

statusCode
integer
Status code form API.
messages
string
Status message that describes the status code.
data
array of object
List of transactions for the product.
hasMore
boolean
Information on whether there is additional data to be retrieved (true/false).
nextStartingAfter
string | null
Cursor to pass as startingAfter to fetch the next page. null when there is no further data.

data Structure (Array Of Object)

id
string
Unique identifier of the transaction.
createdAt
number
Timestamp in milliseconds indicating when the transaction was created.
type
string
Transaction type.
amount
integer
Transaction amount.
status
string
Current transaction status (e.g., created, paid, expired).
urlParamTrackingData
object | null
URL parameter tracking data attached to the transaction, if any.
Identifier of the product (payment link) the transaction belongs to.
customerId
string | null
Identifier of the customer who made the transaction.
customeField
object | null
Custom field data captured at checkout, if any.
customer
object | null
Customer details associated with the transaction.
Product (payment link) details associated with the transaction.
productName
string
Name of the product the transaction belongs to.
productType
string
Type of the product the transaction belongs to.
Slug of the product the transaction belongs to.